# HookNet-TLS Annotations

## Overview
This dataset contains Tertiary Lymphoid Structures (TLS) and Germinal Centers (GC) annotations for images from the  The Cancer Genome Atlas (TCGA) Lung Squamous Cell Carcinoma (LUSC), Kidney Renal Clear Cell Carcinoma (KIRC), and Bladder Urothelial Carcinoma (BLCA) and were used for developing the HookNet-TLS model.

## Content Details

### Annotations
- **Annotations Directory**: `data/annotations/` includes 1019 `.xml` files.
 ```
    data/annotations/TCGA-2F-A9KO-01Z-00-DX1.xml
    ...
```

- **Annotation Mapping**: `data/annotation.json` links TCGA- LUSC/KIRC/BLCA to the respective `.xml` files for cancer specific analysis.
```
{
    "LUSC": [
        "TCGA-34-8455-01Z-00-DX1.xml",
    ...
    "KIRC": [
        "TCGA-BP-4781-01Z-00-DX1.xml",
    ...
    "BLCA": [
        "TCGA-ZF-A9RG-01Z-00-DX1.xml",
    ...
}
```


|   Label         |   Annotation Count  |
|-----------------|---------------------|
|   tls           |        10125        |
|   other         |        1493         |
|   gc            |        1059         |
|   inflammation  |        143          |
|   lymph node    |        71           |
|   tumor         |        18           |


### Images
Images corresponding to the annotations can be downloaded from the TCGA Genomic Data Commons (GDC) repository: [TCGA GDC Data Repository](https://portal.gdc.cancer.gov/repository).

## Usage
The annotations and images can be opened and processed using the [WholeSlideData](https://github.com/DIAGNijmegen/pathology-whole-slide-data/tree/main) package.
Please checkout the `data/example.ipynb` on how to load the annotations and further links on how to use the wholeslidedata package for training deep learning models. 


## Citation
When using these annotations, please cite our paper:
```
M. van Rijthoven, S. Obahor, F. Pagliarulo, M. van den Broek, P. Schraml, H. Moch, J. van der Laak, F. Ciompi, and K. Silina, "Multi-resolution deep learning characterizes tertiary lymphoid structures and their prognostic relevance in solid tumors", Communications Medicine, 2024.
```

## License
Distributed under the Creative Commons Attribution-NonCommercial 4.0 International License (CC BY-NC 4.0). [CC BY-NC 4.0 License](https://creativecommons.org/licenses/by-nc/4.0/).

## Contact
For further information or inquiries about this dataset, please contact: mart.vanrijthoven@gmail.com.

